org.apache.ignite.internal.visor.node

## Class VisorSuppressedError

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.node.VisorSuppressedError

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorSuppressedError
    extends VisorDataTransferObject

Data transfer object for suppressed errors.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3`

### Constructor Summary

Constructors
Constructor and Description
`VisorSuppressedError()` Default constructor.
`VisorSuppressedError(long order, VisorExceptionWrapper error, String msg, long threadId, String threadName, long time)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`VisorExceptionWrapper` `getError()`
`String` `getMessage()`
`long` `getOrder()`
`long` `getThreadId()`
`String` `getThreadName()`
`long` `getTime()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorSuppressedError

    public VisorSuppressedError()

Default constructor.

#### VisorSuppressedError

    public VisorSuppressedError(long order,
                                VisorExceptionWrapper error,
                                String msg,
                                long threadId,
                                String threadName,
                                long time)

Constructor.

Parameters:
  `order` - Locally unique ID that is atomically incremented for each new error.
  `error` - Suppressed error.
  `msg` - Message that describe reason why error was suppressed.
  `threadId` - Thread ID.
  `threadName` - Thread name.
  `time` - Occurrence time.

### Method Detail

#### getOrder

    public long getOrder()

Returns:
  Locally unique ID that is atomically incremented for each new error.

#### getMessage

    public String getMessage()

Returns:
  Gets message that describe reason why error was suppressed.

#### getError

    public VisorExceptionWrapper getError()

Returns:
  Suppressed error.

#### getThreadId

    public long getThreadId()

Returns:
  Gets thread ID.

#### getThreadName

    public String getThreadName()

Returns:
  Gets thread name.

#### getTime

    public long getTime()

Returns:
  Gets time.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018